ToolBarGroupTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.ToolBarGroupTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ToolBarGroupTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.richfaces.taglib.ToolBarGroupTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ToolBarGroupTag

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ToolBarGroupTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setItemSeparator(java.lang.String __itemSeparator)`
`void` | `setLocation(java.lang.String __location)`
`void` | `setOnclick(java.lang.String __onclick)`
`void` | `setOndblclick(java.lang.String __ondblclick)`
`void` | `setOnkeydown(java.lang.String __onkeydown)`
`void` | `setOnkeypress(java.lang.String __onkeypress)`
`void` | `setOnkeyup(java.lang.String __onkeyup)`
`void` | `setOnmousedown(java.lang.String __onmousedown)`
`void` | `setOnmousemove(java.lang.String __onmousemove)`
`void` | `setOnmouseout(java.lang.String __onmouseout)`
`void` | `setOnmouseover(java.lang.String __onmouseover)`
`void` | `setOnmouseup(java.lang.String __onmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSeparatorClass(java.lang.String __separatorClass)`
`void` | `setStyle(java.lang.String __style)`
`void` | `setStyleClass(java.lang.String __styleClass)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarGroupTag

    public ToolBarGroupTag()

Method Detail

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

### setOnclick

    public void setOnclick(java.lang.String __onclick)

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

### setItemSeparator

    public void setItemSeparator(java.lang.String __itemSeparator)

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

### setStyle

    public void setStyle(java.lang.String __style)

### setSeparatorClass

    public void setSeparatorClass(java.lang.String __separatorClass)

### setLocation

    public void setLocation(java.lang.String __location)

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.